//: attrAddOn.cpp
//////////////////////////////////////////////////////////////////////////////

//#define PP(XXX) {printf("--- %d ---\n", XXX);}
#define PP(XXX) {}   // nothing


#include <Directory.h>
#include <Window.h>
#include <Rect.h>
#include <View.h>
#include <Font.h>
#include <ScrollView.h>
#include <Alert.h>
#include <AppDefs.h>
#include <Message.h>
#include <Errors.h>
#include <interface/OutlineListView.h>
#include <Path.h>
#include <Node.h>
#include <Entry.h>


#include <Debug.h>

#include <unistd.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "myWindow.h"
#include "addOnControl.h"


//////////////////////////////////////////////////////////////////////////////



#pragma export on
void process_refs(entry_ref dir_ref, BMessage* msg, void*);
#pragma export reset

void process_refs(entry_ref dir_ref, BMessage* msg, void*)
{
  BAlert*         alert =0;
  try
  {
	ulong           type=0;
	int32           result=0;
	long            count=0;
	long            ii=0;

PP(1)

	msg->GetInfo("refs", &type, &count); 
	if ( type != B_REF_TYPE || count == 0 ) 
	{
		msg->AddRef("refs", &dir_ref);   // no selection, use PWD
		count++;
	}

PP(2)
	
	MyWindow * wind = new MyWindow(
		BRect(50,50, 590,400), "-- Attribute Viewer --");

	wind->Show();
	wind->SetRefs(msg);
	wind->RefreshData();
	
puts("------------------------------------------------------------");

	
	#if (ADD_ON_NOT_APP)
		long		dummy;
		wait_for_thread(wind->Thread(), &dummy);
	#endif
	
PP(11)	
	

  }  // try
  catch(...)
  {
  	puts("------------ EXCEPTION!!! ---------------------");
  
	alert = new BAlert("alert", 
		"An exception occured. I don't know why. Sorry.", "Cancel");
		alert->Go();
	return;
  }
}

//////////////////////////////////////////////////////////////////////////////


