//: myOLView.h
//////////////////////////////////////////////////////////////////////////////
// This class provides some assistance in general OL building and control.

#if !defined(H__MYOLVIEW_H)
#define      H__MYOLVIEW_H

#include <OutlineListView.h>


class MyOLView : public BOutlineListView
{
public:
	 MyOLView(BRect rect);
	~MyOLView();

	void EnterSubLevel() {_curLevel++;};
	void LeaveSubLevel() {if (_curLevel>0) _curLevel--;};
	int32 CurLevel()     {return _curLevel;};
	//void addFile(BStringItem *file, BList &attrs);


	virtual void MessageReceived(BMessage *msg);
	virtual void Refresh();
	void SetExpandedOnAll(bool expanded);
	void CopyLine(bool full);

	void DeleteAllAndMakeEmpty();

private:
	int32 _curLevel;

};



#endif    // H__MYOLVIEW_H